Skip to content

List customer applied coupons

GET
/v1/customers/{customer_id}/applied_coupons

List applied coupons for a customer.

customer_id
required
Customer Id
string format: uuid
skip
Skip
integer
0
limit
Limit
integer
default: 100 >= 1 <= 1000

Successful Response

Response List Applied Coupons V1 Customers Customer Id Applied Coupons Get
Array<object>
AppliedCouponResponse
object
id
required
Id
string format: uuid
coupon_id
required
Coupon Id
string format: uuid
customer_id
required
Customer Id
string format: uuid
amount_cents
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
amount_currency
Any of:
string
percentage_rate
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
frequency
required
Frequency
string
frequency_duration
Any of:
integer
frequency_duration_remaining
Any of:
integer
status
required
Status
string
terminated_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Unauthorized – invalid or missing API key

Customer not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object